## GnomeDbConnectionProperties

GnomeDbConnectionProperties — Shows the properties of a GdaConnection object

## Synopsis

                GnomeDbConnectionPropertiesPrivate;
    GtkWidget*  gnome_db_connection_properties_new
                                                (GdaConnection *cnc);
    GdaConnection* gnome_db_connection_properties_get_connection
                                                (GnomeDbConnectionProperties *props);
    void        gnome_db_connection_properties_set_connection
                                                (GnomeDbConnectionProperties *props,
                                                 GdaConnection *cnc);

## Description

## Details

### GnomeDbConnectionPropertiesPrivate

    typedef struct _GnomeDbConnectionPropertiesPrivate GnomeDbConnectionPropertiesPrivate;

### gnome_db_connection_properties_new ()

    GtkWidget*  gnome_db_connection_properties_new
                                                (GdaConnection *cnc);

Create a new GnomeDbConnectionProperties widget.

`cnc` : | a GdaConnection object.
Returns : |

### gnome_db_connection_properties_get_connection ()

    GdaConnection* gnome_db_connection_properties_get_connection
                                                (GnomeDbConnectionProperties *props);

`props` : |
Returns : |

### gnome_db_connection_properties_set_connection ()

    void        gnome_db_connection_properties_set_connection
                                                (GnomeDbConnectionProperties *props,
                                                 GdaConnection *cnc);

`props` : |
`cnc` : |